The Item Tax Template object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

title string required
company string required
disabled boolean

Default: false

The Item Tax Template object
{
  "id": "item-tax-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "title": "title_example",
  "company": "Example Corp",
  "disabled": false
}
GET /api/accounts/item-tax-template/{id}

Retrieve a item tax template

Retrieves the details of an existing item tax template. Supply the unique item tax template ID that was returned from a previous request.

Path parameters

id string required

The identifier of the item tax template to retrieve.

Returns

Returns the item tax template object if a valid identifier was provided.

GET /api/accounts/item-tax-template/{id}
curl https://api.overplane.dev/api/accounts/item-tax-template/item-tax-template_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "item-tax-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "title": "title_example",
  "company": "Example Corp",
  "disabled": false
}
GET /api/accounts/item-tax-template

List all item tax templates

Returns a list of item tax templates. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of item tax template objects.

GET /api/accounts/item-tax-template
curl https://api.overplane.dev/api/accounts/item-tax-template \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "item-tax-template_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "title": "title_example",
      "company": "Example Corp",
      "disabled": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/item-tax-template

Create a item tax template

Creates a new item tax template object.

Body parameters

title string required
company string required
disabled boolean

Default: false

Returns

Returns the newly created item tax template object if the call succeeded.

POST /api/accounts/item-tax-template
curl https://api.overplane.dev/api/accounts/item-tax-template \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"title":"title_example","company":"Example Corp"}'
Response
{
  "id": "item-tax-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "title": "title_example",
  "company": "Example Corp",
  "disabled": false
}
PATCH /api/accounts/item-tax-template/{id}

Update a item tax template

Updates the specified item tax template by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the item tax template to update.

Body parameters

title string
company string
disabled boolean

Default: false

Returns

Returns the updated item tax template object.

PATCH /api/accounts/item-tax-template/{id}
curl https://api.overplane.dev/api/accounts/item-tax-template/item-tax-template_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"title":"title_example","company":"Example Corp"}'
Response
{
  "id": "item-tax-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "title": "title_example",
  "company": "Example Corp",
  "disabled": false
}
DELETE /api/accounts/item-tax-template/{id}

Delete a item tax template

Permanently deletes a item tax template. This cannot be undone.

Path parameters

id string required

The identifier of the item tax template to delete.

Returns

Returns a confirmation that the item tax template has been deleted.

DELETE /api/accounts/item-tax-template/{id}
curl https://api.overplane.dev/api/accounts/item-tax-template/item-tax-template_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "item-tax-template_abc123",
  "deleted": true
}

Line items

Child objects that belong to this item tax template. These are accessed via the parent's ID.

Item Tax Template Detail

Attributes

idx integer
item_tax_template_id string required
tax_type string required
tax_rate number

Endpoints

GET /api/accounts/item-tax-template-detail?parent_id={id}
POST /api/accounts/item-tax-template-detail
PATCH /api/accounts/item-tax-template-detail/{id}
DELETE /api/accounts/item-tax-template-detail/{id}
POST /api/accounts/item-tax-template-detail/reorder
Item Tax Template Detail object
{
  "id": "item-tax-template-detail_abc123",
  "idx": 1,
  "item_tax_template_id": "item_tax_template_id_example",
  "tax_type": "tax_type_example",
  "tax_rate": 0
}